Last modified: 2013-08-10 12:33:34 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 33439 - Logout page instructions do not reflect $wgGroupPermissions
Logout page instructions do not reflect $wgGroupPermissions
Status: RESOLVED FIXED
Product: MediaWiki
Classification: Unclassified
User login and signup (Other open bugs)
1.18.x
All All
: Low trivial (vote)
: 1.22.0 release
Assigned To: Nemo
:
Depends on:
Blocks: messages
  Show dependency treegraph
 
Reported: 2011-12-31 00:51 UTC by badon
Modified: 2013-08-10 12:33 UTC (History)
3 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description badon 2011-12-31 00:51:18 UTC
Even if anonymous browsing is disabled with:

$wgGroupPermissions['*']['read'] = false;

The logout page still says:

You can continue to use $wgSitename anonymously

When anonymous browsing is completely disabled, that phrase should be stricken. When some anonymous browsing is enabled with $wgWhitelistRead, like this:

$wgWhitelistRead = array ( "Special:UserLogin", "Special:UserLogout", "Special:PasswordReset", "MediaWiki:Common.css", "MediaWiki:Common.js" );

The phrase should be changed to perhaps display the whitelist, like this:

You can continue to use $wgSitename anonymously, for these pages:

* Special:UserLogin
* Special:UserLogout
* Special:PasswordReset
* MediaWiki:Common.css
* MediaWiki:Common.js
Comment 1 Tyler Romeo 2013-02-14 01:14:04 UTC
https://gerrit.wikimedia.org/r/48987
Comment 2 Andre Klapper 2013-07-24 10:35:00 UTC
Patch was abandoned (and its approach), hence removing keyword.
Comment 3 Gerrit Notification Bot 2013-08-09 11:42:03 UTC
Change 78376 had a related patch set uploaded by Nemo bis:
Make logout text simpler and more general

https://gerrit.wikimedia.org/r/78376
Comment 4 Gerrit Notification Bot 2013-08-10 12:32:07 UTC
Change 78376 merged by jenkins-bot:
Make logout text simpler and more general

https://gerrit.wikimedia.org/r/78376
Comment 5 Bartosz Dziewoński 2013-08-10 12:33:34 UTC
Fixed by removing that piece of text.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links